Subject: Re: [PATCH (GIT-GUI)] git-gui: Reenable staging unmerged files by clicking the icon.

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 24 Sep 2008 11:25:08 -0700

Alexander Gavrilov <[email-masked]> wrote:
> This restores functionality of the file icon for unmerged files.
> Safety is enforced by loading the diff and checking for lines
> that look like conflict markers. If such lines are found, or
> the conflict involves deletion and/or symlinks, a confirmation
> dialog is presented. Otherwise, the icon immediately stages the
> working copy version of the file.
> 
> Includes a revert of 2fe5b2ee42897a3acc78e5ddaace3775eb2713ca
> (Restore ability to Stage Working Copy for conflicts)
> 
> Signed-off-by: Alexander Gavrilov <[email-masked]>
> ---
>  git-gui.sh        |   18 ++++++++----------
>  lib/diff.tcl      |   52 +++++++++++++++++++++++++++++++++++-----------------
>  lib/mergetool.tcl |   33 +++++++++++++++++++++++++++------
>  3 files changed, 70 insertions(+), 33 deletions(-)

Can I get a resend of this patch?

I don't seem to have the base objects it applies to, and it doesn't
apply clean to any branch I can find... :-|

-- 
Shawn.